set more off

* This program produces the results in the top panel of Table 1,
* plus results similar to the ones for WCR-C and WCR-S in the bottom
* panel. The bootstrap results reported there used a Fortran program
* with B=999,999, a different random number generator,
* and a different seed.

insheet using "min_wage_teen_hours.csv"
* hours2,mw,black,female,year,age,educ,styear,state,region

#delimit ;

* HC1 ;

areg hours2 mw black female i.educ i.age i.year, absorb(state) robust;

* CV1 ;

areg hours2 mw black female i.educ i.age i.year, absorb(state)
cluster(state);

* WCR-C ;

boottest mw, reps(99999) cluster(state) seed(9326) noci;

* WCU-C ;

boottest mw, reps(99999) cluster(state) seed(9326) noci nonull;

* WCR-S ;

boottest mw, reps(99999) cluster(state) seed(9326) jk noci;

* WCU-S ;

boottest mw, reps(99999) cluster(state) seed(9326) jk noci nonull;

* CV3 ;

areg hours2 mw black female i.educ i.age i.year, absorb(state)
cluster(state) vce(jackknife,mse);

exit, clear
