set more off

* This program produces the results in the top panel of Table 2,
* plus results similar to the ones for WCR-C and WCR-S in the bottom
* panel. The bootstrap results reported there used a Fortran program
* with B=999,999, a different random number generator,
* and a different seed.

insheet using turnover-data.csv

#delimit ;

* HC1 ;
reg score pxdummy px pxpd baseline, robust;

* CV1 by municipality ;
reg score pxdummy px pxpd baseline, cluster(municipality);

* CV1 ;
reg score pxdummy px pxpd baseline, cluster(state);

* WCR-C ;
boottest pxdummy, cluster(state) seed(45237) noci reps(99999);

* WCR-S ;
boottest pxdummy, cluster(state) seed(45237) noci reps(99999) jk;

* WCU-C ;
boottest pxdummy, cluster(state) seed(45237) noci reps(99999) nonull;

* WCU-S ;
boottest pxdummy, cluster(state) seed(45237) noci reps(99999) jk nonull;

* CV3 ;

reg score pxdummy px pxpd baseline, cluster(state) vce(jackknife,mse);

exit, clear
